Bug 601099 - [vdsm] [libvirt intg] vdsm does not show reboot event sent by libvirt
Summary: [vdsm] [libvirt intg] vdsm does not show reboot event sent by libvirt
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm   
(Show other bugs)
Version: 6.1
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Dan Kenigsberg
QA Contact: yeylon@redhat.com
URL:
Whiteboard: vdsm & libvirt integration
Keywords:
Depends On:
Blocks: 527572 581275
TreeView+ depends on / blocked
 
Reported: 2010-06-07 08:35 UTC by Haim
Modified: 2016-04-18 06:33 UTC (History)
9 users (show)

Fixed In Version: vdsm-4.9-11.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-19 15:07:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Haim 2010-06-07 08:35:59 UTC
Description of problem:

vdsm does not catch reboot event sent by libvirt hence there is no indication in rhev-m that vm is rebooting. 
event looks as follows: 

libvirtEventLoop::DEBUG::2010-06-07 04:29:14,246::vm::1208::vds.vmlog.d9d4ddad-c8a0-4177-88c9-a38e17771a15::reboot event

scenario goes as follows: 

1) start linux vm 
2) make sure status changes to up 
3) login to vm (ssh) and initiate the following command: init 6/reboot

logs shows that libvirt aware that machine is rebooting.

vdsm 4.9-8 
libvirt-0.8.1-7.el6.x86_64

haven't tried on windows.

Comment 2 RHEL Product and Program Management 2010-06-07 17:05:10 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Dan Kenigsberg 2010-06-17 11:14:21 UTC
actually, the log shows that the reboot event was caught. For some reason, however, this was not reflected in the state of the VM which did not change to RebootInProgress.

Comment 4 Dan Kenigsberg 2010-07-27 20:41:46 UTC
Haim, I currently see RebootInProgress just fine. Would you verify that?

Comment 5 Haim 2010-07-30 08:26:49 UTC
yep, I see RebootInProgress event after initiating reboot from within the guest.

one question though and excuse me from being nudge; the reboot appears only after 
grub finish to load, is it on purpose or a question of timing for event to catch by vdsm ? 

libvirt-0.8.1-19.el6.x86_64
qemu-kvm-0.12.1.2-2.97.el6.x86_64
vdsm-4.9-11.el6.x86_64
2.6.32-52.el6.x86_64

anyway, move to verified.


Note You need to log in before you can comment on or make changes to this bug.